// Задача "Кафе"
// XVII командный чемпионат школьников Санкт-Петербурга по программированию
// Автор задачи: Павел Маврин
// Автор решения: Сергей Поромов, poromov@rain.ifmo.ru

import java.io.*;
import java.util.*;

public class cafe_sp implements Runnable {

	public static void main(String[] args) {
		new Thread(new cafe_sp()).run();
	}

	public void run() {
		try {
			Locale.setDefault(Locale.US);
			br = new BufferedReader(new FileReader(FILENAME + ".in"));
			out = new PrintWriter(FILENAME + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	BufferedReader br;

	PrintWriter out;

	StringTokenizer st;

	String nextToken() throws IOException {
		while (st == null || !st.hasMoreTokens()) {
			st = new StringTokenizer(br.readLine());
		}
		return st.nextToken();
	}

	int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean e, String s) {
		if (!e) {
			throw new Error("Assertion failure " + s);
		}
	}
	
	void inBounds(int x, int l, int r, String s) {
		myAssert(l <= x && x <= r, "Wrong value of " + s);
	}

	private static final String FILENAME = "cafe";

	public void solve() throws IOException {
		int n = nextInt();
		int m = nextInt();
		int k = nextInt();
		inBounds(n, 1, 50, "n");
		inBounds(m, 1, 50, "m");
		inBounds(k, 1, 10000, "k");
		char[][] ans = new char[n][m];
		for (char[] cs : ans) {
			Arrays.fill(cs, '.');
		}
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < m; j++) {
				if (i % 3 == 1 && j % 3 == 1) {
					ans[i][j] = 'T';
				}
			}
		}
		if (n % 3 == 1) {
			for (int j = 0; j < m; j++) {
				if (j % 3 == 1) {
					ans[n - 1][j] = 'T';
				}
			}
		}
		if (m % 3 == 1) {
			for (int i = 0; i < n; i++) {
				if (i % 3 == 1) {
					ans[i][m - 1] = 'T';
				}
			}
		}
		if (n % 3 == 1 && m % 3 == 1) {
			ans[n - 1][m - 1] = 'T';
		}
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < m; j++) {
				if (ans[i][j] == '.' && k > 0) {
					ans[i][j] = 'h';
					k--;
				}
			}
		}
		if (k > 0) {
			out.println("Impossible");
		} else {
			for (int i = 0; i < n; i++) {
				out.println(new String(ans[i]));
			}
		}
	}
}
